Subject: bug#5863: defadvice in byte compiled file does not work

From: Lennart Borgman <[email-masked]>
Date: Thu, 8 Apr 2010 18:22:23 +0200

On Thu, Apr 8, 2010 at 6:06 PM, Andreas Schwab <[email-masked]> wrote:
> Lennart Borgman <[email-masked]> writes:
>
>> Thanks Andreas, but what does it mean that it has its own byte code?
>> Why is it important here?
>
> Because it translates into a direct call to the builtin function.

You mean during byte compilation? That is then a bug since the
documentation says it should work.

I just looked a bit more and it looks like the defadvice does not
result in that `widen' is advised at all after loading mumamo.el. As
far as I understand that is another bug.

Looking into this second bug I can see that `widen' does not get
advised if I do eval-buffer on mumamo.el. However if I go to the
defadvice and directly eval it with C-M-x or C-x C-e widen gets
advised (and things starts working).